﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.MaskedInput;

namespace SilverlightApplication1
{
    public partial class MainPage : UserControl
    {
        TextBox innerBox;
        public MainPage()
        {
            InitializeComponent();
            this.DataContext = new MainViewModel();
        }

        private void RadMaskedNumericInput_ValueChanged(object sender, Telerik.Windows.RadRoutedEventArgs e)
        {
            var newValue = ((Telerik.Windows.Controls.MaskedInput.RadMaskedInputValueChangingEventArgs)(e)).NewValue;

            if ((double)newValue == 0)
            {
                MaskedInputExtensions.SetAllowMinusOnZeroValue(sender as RadMaskedNumericInput, false);
            }
            
        }

        private void xMaskedInput_KeyDown(object sender, KeyEventArgs e)
        {
            if (e.Key == Key.Unknown || e.Key == Key.Subtract)
            {
                MaskedInputExtensions.SetAllowMinusOnZeroValue(sender as RadMaskedNumericInput, true);
            }
        }
    }


    public class MainViewModel
    {
        public double MealDays { get; set; }

        public MainViewModel()
        {
            this.MealDays = -9;
        }

    }
}
